---
obj: application
os:
  - macos
  - linux
  - windows
repo: https://github.com/theryangeary/choose
---
# choose
`choose`, a human-friendly and fast alternative to `cut` and (sometimes) `awk`

## Usage
```shell
choose [OPTIONS] <choices>...
choose 1 # Choose the the second element
choose -f" " 0:3 # Choose element 0 to 3 seperated by " "
```

## Options
| Option                                                  | Description                                                                                                     |
| ------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| `-f, --field-separator <field-separator>`               | Specify field separator other than whitespace, using [Rust](../../dev/programming/languages/Rust.md) `regex` syntax |
| `-i, --input <input>`                                   | Input file                                                                                                      |
| `-o, --output-field-separator <output-field-separator>` | Specify output field separator                                                                                  |
